package com.ruoyi.system.domain.vo;

import java.util.List;

/**
 * 产业表
 * 
 * @author ruoyi
 */
public class industryTree
{
    /** ID */
    private Integer id;
    
    /** 码值 */
    private String code;
    /** 产业名称 */
    private String name;
    /** 码值 */
    private Integer state;
    /** 上级行业编号 */
    private String parent_code;

    private List<industryTree> industryTrees;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getParent_code() {
        return parent_code;
    }

    public void setParent_code(String parent_code) {
        this.parent_code = parent_code;
    }

    public List<industryTree> getIndustryTrees() {
        return industryTrees;
    }

    public void setIndustryTrees(List<industryTree> industryTrees) {
        this.industryTrees = industryTrees;
    }
}
